Skip to main content
GET
Get a gVault
Wait for status: ready before allowing deposits. Ready responses include the contract address, fee, APY, TVL, and current instant liquidity.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

gVaultId
string
required

ID returned when the gVault was created.

Response

gVault status and configuration.

id
string
required
partnerAppId
string
required
vaultId
string
required
status
enum<string>
required
Available options:
provisioning,
ready,
failed
chain
string
chainId
integer
contractAddress
string
assetAddress
string
shareDecimals
integer
feeRecipientAddress
string
performanceFeeBps
integer
userApyBps
integer
feeApyBps
integer
tvl
string

Current assets in USDC native units.

availableLiquidity
string

Current synchronous withdrawal capacity in USDC native units.